Image-stitching and virtual tour solutions My account Updates
It is currently Wed Aug 27, 2014 10:14 pm

All times are UTC + 1 hour




Post new topic Reply to topic  [ 3 posts ] 
Author Message
PostPosted: Sun May 18, 2014 10:37 pm 
Offline
New member

Joined: Sun May 18, 2014 10:26 pm
Posts: 2
Hi,

I've been interested in your program and would like to test it before possible purchase decision. I have Arch Linux (64-bit) and Ubuntu 13.10 (64-bit) installations.

I've managed to install Panotour Pro to the both machines. However, launching the program is impossible due to following error message:

Code:
error while loading shared libraries: libiomp5.so: cannot open shared object file: No such file or directory

I somehow could get rid of some of these messages in Ubuntu. It seems that these messages are neverending, however: I get dozens of similar error messages in terminal output.

Because of this error, I've even tried older Panotour versions 2.0.0, 2.0.1. My conclusion is that all of these versions has this same error. So, basically, is it possible to get current versions of the program to work in Linux machines? Do I need specific depedencies (program libraries) installed first? I'm currently at an impasse with the problem.

Any help is appreciated. Thank you!


Top
 Profile  
 
PostPosted: Tue May 20, 2014 7:46 am 
Offline
Member
User avatar

Joined: Tue Jan 18, 2011 4:05 pm
Posts: 1618
Fincer wrote:
Hi,

I've been interested in your program and would like to test it before possible purchase decision. I have Arch Linux (64-bit) and Ubuntu 13.10 (64-bit) installations.

I've managed to install Panotour Pro to the both machines. However, launching the program is impossible due to following error message:

Code:
error while loading shared libraries: libiomp5.so: cannot open shared object file: No such file or directory

I somehow could get rid of some of these messages in Ubuntu. It seems that these messages are neverending, however: I get dozens of similar error messages in terminal output.

Because of this error, I've even tried older Panotour versions 2.0.0, 2.0.1. My conclusion is that all of these versions has this same error. So, basically, is it possible to get current versions of the program to work in Linux machines? Do I need specific depedencies (program libraries) installed first? I'm currently at an impasse with the problem.

Any help is appreciated. Thank you!


2.0.0 and 2.0.1 versions should work on Linux.
We tried them successfully.
A bug is opened on the 2.1 version about this suject. A fix will be done in next release of Panotour.

Gérald

_________________
Your User Account, Kolor Documentation, Kolor Youtube Channel


Top
 Profile  
 
PostPosted: Tue May 20, 2014 4:52 pm 
Offline
New member

Joined: Sun May 18, 2014 10:26 pm
Posts: 2
Thank you for your reponse. It's good to hear that you guys are aware of the startup problem.

About version 2.0.0 and 2.0.1: very likely my bad. I used outdated Arch Linux AUR PKGBUILD file to download Panotour Pro. Instead of downloading version 2.0.1 that automated script misleadingly downloaded the latest version 2.1 which has startup issues.

What attracted my attention was missing .so files in the Panotour Pro installation directory. After modifying the PKGBUILD code to really download version 2.0.1 everything ran smoothly.

I keep waiting for the next release, having the startup issue fixed. Thanks!


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 3 posts ] 

All times are UTC + 1 hour


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group